# Rasa.ai #

Webseite: [https://rasa.ai/](https://rasa.ai/)


## Einrichtung ##

Vollends lokal vorzunehmen da kein externer Dienst.


## Installation ##
- Download und Setup von Rasa Core über PIP durch Befehl
	- `pip install rasa_core`
- Download und Setup von Rasa NLU über PIP durch Befehl
	- `pip install rasa_nlu`
-  Download des GitHub Repositories für Dependencies
	-  `https://github.com/RasaHQ/rasa_nlu/tree/master/alt_requirements`
	-  Dann Abhängigkeiten installieren per:
		- `pip install -r alt_requirements requirements_dev.txt'`
		- `pip install -r alt_requirements requirements_full.txt'`
	-  Nun für Entitätenerkennung mittels spaCy die Korpusdaten laden:
		- `python -m spacy download en`
		- `python -m spacy download de`

- Bei Eingabe des folgenden Befehls wird die aktuell installierte Version von Rasa.ai angezeigt. Dies bedeutet, dass die Installation erfolgreich abgeschlossen ist
	- `pip show rasa_core | grep Version`
	- `pip show rasa_nlu | grep Version`
- Fertig


## Nutzung ##

1. Train Modell: python -m rasa_nlu.train -c "config file name" --fixed_model_name "model name"

2. Train Dialog: python -m rasa_core.train -s "stories file" -d "domain file" -o "output dir for model"

3. Usage: python -m rasa_core.run -d "domain file" -u "dialog model dir"
